# We install into libdir, but really build no binaries
%global debug_package %{nil}

Name:           hawaii-widget-styles
Summary:        Styles for applications using QtQuick Controls
Version:        0.5.0
Release:        1%{?dist}
Group:          Applications/System
License:        LGPLv2+
URL:            https://github.com/hawaii-desktop/hawaii-widget-styles
Source0:        https://github.com/hawaii-desktop/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

Requires:       qt5-qtgraphicaleffects
Requires:       qt5-qtquickcontrols

%description
Styles for applications using QtQuick Controls.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%{_datadir}/color-schemes/*
%{_kf5_qmldir}/*
%doc LICENSE.LGPL
%doc README.md


%changelog
* Wed Jun 24 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-1
* Update to 0.5 release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Apr 04 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.4.0-1
* Update to 0.4 release

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-0.2.20140103git881d688
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 18 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-0.1.20140103git881d688
- Update to a newer snapshot

* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0-1
- Update to a new release tarball

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-3.20130827gitf3bcff6
- Bulk sad and useless attempt at consistent SPEC file formatting

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-2.20130827gitf3bcff6
- Remove old RPM relics

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-1.20130827gitf3bcff6
- Initial packaging
